iP4 4.2.1 to ios 5.0.1 unlocked?

Discussion in 'Jailbreaks and iOS Hacks' started by cojobt, Dec 31, 2011.

  1. cojobt macrumors newbie

    Joined:
    Dec 31, 2011
    #1
    So, I'm new here, and in need of some guidance. Hours of internet research have not confirmed my ideas as yet. It's time for some serious assistance:

    I have an iPhone 4 on 4.2.1 BB 03.10.01. This baseband remains unlockable, as far as I can tell.

    I would like to get this phone on ios 5.0.1, jailbreak it, then unlock it using Ultrasnow.

    I believe I need to create a custom firmware to retain an unlockable baseband before I update to ios 5. How do I get an ios 5.0.1 unlockable baseband (01.59.00, 04.26.08, 05.11.07, 05.13.01, 05.12.01, 06.15.00) on this phone? I am not keen on using 06.15.00 as this is not my own phone and I know from personal experience that 06.15 can be problematic for future updates, etc.

    Can I still update the iphone to 4.3.3, then create custom firmware to retain the unlockable baseband? Or have Apple stopped signing for 4.3.3? If so, can I use tinyumbrella to bypass that problem? This phone has no SHSHs saved and has never (as far as I can tell) been previously unlocked.

    Does anyone have any other suggestions?

    My main question is, which ios can I update to before I create a custom firmware for ios 5.0.1?

    If all else fails, can I still update to 5.0.1 then flash with the iPad baseband (06.15.00), or will this cause monstrous problems?

    Happy New Year to you all,

    cojobt
     
  2. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #2
    1st. The baseband you have on your phone can only be unlocked with Gevey sim and not Ultrasn0w.
    2nd. Baseband can't be downgraded. So, even you go up to 5.0.1, your phone baseband still be 03.10 and can't be unlocked by ultrasn0w.
    3rd. You can't go to 4.3.3 if you don't have SHSH blobs. Again, your baseband can't be downgrade and also, 06.15 baseband is for 3G/3GS only.
    4th. Use redsn0w to build customs firmware while preserving your phone baseband of 03.10. However, it can't be unlocked by ultrasn0w. Also, I heard that Gevey Sim might or might not work with 5.0.1 fw even it is on older baseband.

    So, I think I have given you enough information above for you to make your own decision.
     

Share This Page